<!DOCTYPE html>
<html lang="en" class="use-slim-core">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <title>Sidebar</title>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
</head>

<body class="container pt-5">
    <div>
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>20- Sidebar</h1>
    <br><br>

    <div class="group">
        <h3># Sidebar left</h3>
        <button class="btn-burger t-black sidebar-btn" id="sidebar1">
            <i class="burger"></i>
        </button>
    </div>
    <div class="sidebar-wrapper" data-sidebar="sidebar1">
        <div class="sidebar">
            <div class="sidebar-brand bg-gray-700 mb-5">
                <p class="heading-6">LOGO</p>
            </div>
            <ul class="sidebar-link">
                <li class="sidebar-item active"><a href="#">Home</a></li>
                <li class="sidebar-item"><a href="#">Category</a></li>
                <li class="sidebar-item"><a href="#">Product</a></li>
                <li class="sidebar-item"><a href="#">About Us</a></li>
            </ul>
            <div class="sidebar-other bg-gray-700">
                Footer
            </div>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Sidebar right</h3>
        <button class="btn-burger t-black sidebar-btn" id="sidebar2">
            <i class="burger"></i>
        </button>
    </div>
    <div class="sidebar-wrapper" data-sidebar="sidebar2">
        <div class="sidebar with-right">
            <div class="sidebar-brand bg-gray-700 mb-5">
                <p class="heading-6">LOGO</p>
            </div>
            <ul class="sidebar-link">
                <li class="sidebar-item active"><a href="#">Home</a></li>
                <li class="sidebar-item"><a href="#">Category</a></li>
                <li class="sidebar-item"><a href="#">Product</a></li>
                <li class="sidebar-item"><a href="#">About Us</a></li>
            </ul>
            <div class="sidebar-other bg-gray-700">
                Footer
            </div>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Sidebar top</h3>
        <button class="btn-burger t-black sidebar-btn" id="sidebar3">
            <i class="burger"></i>
        </button>
    </div>
    <div class="sidebar-wrapper" data-sidebar="sidebar3">
        <div class="sidebar with-top">
            <ul class="sidebar-link">
                <li class="sidebar-item active"><a href="#">Home</a></li>
                <li class="sidebar-item"><a href="#">Category</a></li>
                <li class="sidebar-item"><a href="#">Product</a></li>
                <li class="sidebar-item"><a href="#">About Us</a></li>
            </ul>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Sidebar bottom</h3>
        <button class="btn-burger t-black sidebar-btn" id="sidebar4">
            <i class="burger"></i>
        </button>
    </div>
    <div class="sidebar-wrapper" data-sidebar="sidebar4">
        <div class="sidebar with-bottom">
            <ul class="sidebar-link">
                <li class="sidebar-item active"><a href="#">Home</a></li>
                <li class="sidebar-item"><a href="#">Category</a></li>
                <li class="sidebar-item"><a href="#">Product</a></li>
                <li class="sidebar-item"><a href="#">About Us</a></li>
            </ul>
        </div>
    </div>

    <script>
        document.querySelectorAll(".sidebar-wrapper").forEach(sidebar => {
            const sidebarBtn = document.querySelector(`#${sidebar.dataset.sidebar}`)
            if (sidebarBtn) {
                sidebarBtn.addEventListener('click', e => {
                    e.preventDefault()
                    sidebar.classList.toggle('active')
                })
            }
            sidebar.addEventListener('click', () => sidebar.classList.remove('active'))
            sidebar.querySelector('.sidebar').addEventListener('click', e => e.stopPropagation())
        })
    </script>
</body>

</html>